Projects
Update a project
Update project configuration fields.
PATCH
/
v1
/
projects
/
{projectId}
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const project = await client.projects.update('projectId', {});curl --request PATCH \
--url https://api.tembo.io/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"includeDeps": true,
"includeSkills": true,
"name": "<string>",
"setupScript": "<string>",
"codeRepositoryIds": [
"<string>"
],
"agentInstructions": "<string>",
"defaultForSizes": [],
"environmentVariables": {},
"schedule": {
"cron": "<string>",
"enabled": true,
"timezone": "<string>"
},
"sizes": [],
"warmPoolEnabled": true
}
'import requests
url = "https://api.tembo.io/v1/projects/{projectId}"
payload = {
"description": "<string>",
"includeDeps": True,
"includeSkills": True,
"name": "<string>",
"setupScript": "<string>",
"codeRepositoryIds": ["<string>"],
"agentInstructions": "<string>",
"defaultForSizes": [],
"environmentVariables": {},
"schedule": {
"cron": "<string>",
"enabled": True,
"timezone": "<string>"
},
"sizes": [],
"warmPoolEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
includeDeps: true,
includeSkills: true,
name: '<string>',
setupScript: '<string>',
codeRepositoryIds: ['<string>'],
agentInstructions: '<string>',
defaultForSizes: [],
environmentVariables: {},
schedule: {cron: '<string>', enabled: true, timezone: '<string>'},
sizes: [],
warmPoolEnabled: true
})
};
fetch('https://api.tembo.io/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'includeDeps' => true,
'includeSkills' => true,
'name' => '<string>',
'setupScript' => '<string>',
'codeRepositoryIds' => [
'<string>'
],
'agentInstructions' => '<string>',
'defaultForSizes' => [
],
'environmentVariables' => [
],
'schedule' => [
'cron' => '<string>',
'enabled' => true,
'timezone' => '<string>'
],
'sizes' => [
],
'warmPoolEnabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/projects/{projectId}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"includeDeps\": true,\n \"includeSkills\": true,\n \"name\": \"<string>\",\n \"setupScript\": \"<string>\",\n \"codeRepositoryIds\": [\n \"<string>\"\n ],\n \"agentInstructions\": \"<string>\",\n \"defaultForSizes\": [],\n \"environmentVariables\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"enabled\": true,\n \"timezone\": \"<string>\"\n },\n \"sizes\": [],\n \"warmPoolEnabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"includeDeps\": true,\n \"includeSkills\": true,\n \"name\": \"<string>\",\n \"setupScript\": \"<string>\",\n \"codeRepositoryIds\": [\n \"<string>\"\n ],\n \"agentInstructions\": \"<string>\",\n \"defaultForSizes\": [],\n \"environmentVariables\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"enabled\": true,\n \"timezone\": \"<string>\"\n },\n \"sizes\": [],\n \"warmPoolEnabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"includeDeps\": true,\n \"includeSkills\": true,\n \"name\": \"<string>\",\n \"setupScript\": \"<string>\",\n \"codeRepositoryIds\": [\n \"<string>\"\n ],\n \"agentInstructions\": \"<string>\",\n \"defaultForSizes\": [],\n \"environmentVariables\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"enabled\": true,\n \"timezone\": \"<string>\"\n },\n \"sizes\": [],\n \"warmPoolEnabled\": true\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"includeDeps": true,
"includeSkills": true,
"name": "<string>",
"setupScript": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"activeSnapshots": [
{
"id": "<string>",
"size": "nano",
"builtAt": "2023-11-07T05:31:56Z"
}
],
"agentInstructions": "<string>",
"codeRepositoryIds": [
"<string>"
],
"color": "neutral",
"defaultForSizes": [
"nano"
],
"icon": "folder",
"sizes": [
"nano"
],
"warmPoolEnabled": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 255Body
application/json
Maximum string length:
300Required string length:
1 - 120Maximum string length:
20000Required string length:
1 - 255Maximum string length:
20000Available options:
neutral, red, orange, yellow, green, teal, blue, purple, pink Available options:
folder, code, terminal, book, brain, bug, building, cloud, globe, idea, tools, magic, processor, sandbox, server, tasks, tactics, images, database, api, mobile, package Available options:
nano, micro, medium, large, xl, xxl, ultra Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum array length:
1Available options:
nano, micro, medium, large, xl, xxl, ultra Response
Update a project
Required string length:
1 - 255Show child attributes
Show child attributes
Maximum string length:
20000Required string length:
1 - 255Available options:
neutral, red, orange, yellow, green, teal, blue, purple, pink Available options:
nano, micro, small, medium, large, xl, xxl, ultra Available options:
folder, code, terminal, book, brain, bug, building, cloud, globe, idea, tools, magic, processor, sandbox, server, tasks, tactics, images, database, api, mobile, package Available options:
nano, micro, medium, large, xl, xxl, ultra Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const project = await client.projects.update('projectId', {});curl --request PATCH \
--url https://api.tembo.io/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"includeDeps": true,
"includeSkills": true,
"name": "<string>",
"setupScript": "<string>",
"codeRepositoryIds": [
"<string>"
],
"agentInstructions": "<string>",
"defaultForSizes": [],
"environmentVariables": {},
"schedule": {
"cron": "<string>",
"enabled": true,
"timezone": "<string>"
},
"sizes": [],
"warmPoolEnabled": true
}
'import requests
url = "https://api.tembo.io/v1/projects/{projectId}"
payload = {
"description": "<string>",
"includeDeps": True,
"includeSkills": True,
"name": "<string>",
"setupScript": "<string>",
"codeRepositoryIds": ["<string>"],
"agentInstructions": "<string>",
"defaultForSizes": [],
"environmentVariables": {},
"schedule": {
"cron": "<string>",
"enabled": True,
"timezone": "<string>"
},
"sizes": [],
"warmPoolEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
includeDeps: true,
includeSkills: true,
name: '<string>',
setupScript: '<string>',
codeRepositoryIds: ['<string>'],
agentInstructions: '<string>',
defaultForSizes: [],
environmentVariables: {},
schedule: {cron: '<string>', enabled: true, timezone: '<string>'},
sizes: [],
warmPoolEnabled: true
})
};
fetch('https://api.tembo.io/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'includeDeps' => true,
'includeSkills' => true,
'name' => '<string>',
'setupScript' => '<string>',
'codeRepositoryIds' => [
'<string>'
],
'agentInstructions' => '<string>',
'defaultForSizes' => [
],
'environmentVariables' => [
],
'schedule' => [
'cron' => '<string>',
'enabled' => true,
'timezone' => '<string>'
],
'sizes' => [
],
'warmPoolEnabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/projects/{projectId}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"includeDeps\": true,\n \"includeSkills\": true,\n \"name\": \"<string>\",\n \"setupScript\": \"<string>\",\n \"codeRepositoryIds\": [\n \"<string>\"\n ],\n \"agentInstructions\": \"<string>\",\n \"defaultForSizes\": [],\n \"environmentVariables\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"enabled\": true,\n \"timezone\": \"<string>\"\n },\n \"sizes\": [],\n \"warmPoolEnabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"includeDeps\": true,\n \"includeSkills\": true,\n \"name\": \"<string>\",\n \"setupScript\": \"<string>\",\n \"codeRepositoryIds\": [\n \"<string>\"\n ],\n \"agentInstructions\": \"<string>\",\n \"defaultForSizes\": [],\n \"environmentVariables\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"enabled\": true,\n \"timezone\": \"<string>\"\n },\n \"sizes\": [],\n \"warmPoolEnabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"includeDeps\": true,\n \"includeSkills\": true,\n \"name\": \"<string>\",\n \"setupScript\": \"<string>\",\n \"codeRepositoryIds\": [\n \"<string>\"\n ],\n \"agentInstructions\": \"<string>\",\n \"defaultForSizes\": [],\n \"environmentVariables\": {},\n \"schedule\": {\n \"cron\": \"<string>\",\n \"enabled\": true,\n \"timezone\": \"<string>\"\n },\n \"sizes\": [],\n \"warmPoolEnabled\": true\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"includeDeps": true,
"includeSkills": true,
"name": "<string>",
"setupScript": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"activeSnapshots": [
{
"id": "<string>",
"size": "nano",
"builtAt": "2023-11-07T05:31:56Z"
}
],
"agentInstructions": "<string>",
"codeRepositoryIds": [
"<string>"
],
"color": "neutral",
"defaultForSizes": [
"nano"
],
"icon": "folder",
"sizes": [
"nano"
],
"warmPoolEnabled": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}